IF OBJECT_ID('dbo.sp_fco_cambio_sucursales') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_cambio_sucursales
GO
CREATE PROCEDURE dbo.sp_fco_cambio_sucursales  
(  
    @pch_compania char(4),  
    @pch_sucursal char(10),  
    @pvc_descripcion varchar(40),  
    @pvc_direccion varchar(40),  
    @pch_cod_dpto char(2),  
    @pch_cod_ciudad char(3),  
    @pvc_telefono varchar(10),  
    @pvc_fax varchar(10),  
    @pvc_nombre_retenedor varchar(60),  
    @pvc_cedula_retenedor varchar(60),  
    @pvc_agencias varchar(300),  
    @pch_codigo_iss char(3),
    @pbi_autoliquida bit
)  
AS  
BEGIN  
    IF NOT EXISTS(  
        SELECT 1 FROM fco_sucursales  
        WHERE compania = @pch_compania   
          AND sucursal = @pch_sucursal)  
        EXEC sp_fco_alta_sucursales  
            @pch_compania, @pch_sucursal,   @pvc_descripcion, @pvc_direccion, @pch_cod_dpto, 
            @pch_cod_ciudad, @pvc_telefono, @pvc_fax, @pvc_nombre_retenedor, @pvc_cedula_retenedor, 
            @pvc_agencias, @pch_codigo_iss
    ELSE
    BEGIN
        DECLARE @vch_agr char(10)
    
        SELECT @vch_agr = ISNULL(dato, 'SUC') 
        FROM vw_fdt_parametros 
        WHERE pais = 'COL' 
          AND compania = @pch_compania 
          AND parametro = 'autoliq' 
          AND secuencia = 23
    
        IF EXISTS (SELECT 1 FROM datos_agr_trab
                   WHERE agrupacion = @vch_agr
                     AND dato = @pch_sucursal)
            EXEC sp_cambio_datos_agr_trab @vch_agr, @pch_sucursal, @pvc_descripcion
        ELSE
            EXEC sp_alta_datos_agr_trab @vch_agr, @pch_sucursal, @pvc_descripcion
    
        UPDATE fco_sucursales  
        SET descripcion = @pvc_descripcion,  
            direccion = @pvc_direccion,  
            cod_dpto = @pch_cod_dpto,  
            cod_ciudad = @pch_cod_ciudad,  
            telefono = @pvc_telefono,  
            fax = @pvc_fax,  
            nombre_retenedor = @pvc_nombre_retenedor,  
            cedula_retenedor = @pvc_cedula_retenedor,  
            agencias = @pvc_agencias,  
            codigo_iss = @pch_codigo_iss,
            autoliquida = @pbi_autoliquida
        WHERE compania = @pch_compania   
          AND sucursal = @pch_sucursal  
    END    
END  
GO
GRANT EXECUTE ON dbo.sp_fco_cambio_sucursales TO PUBLIC
GO
